View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000094aMuleTransferpublic2004-07-20 13:092004-07-30 23:40
Reportertwu2 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000094: CamuleApp::StripInvalidFilenameChars() broken for CJK filename
DescriptionAfter transfer complete, file move to incoming folder, strip invalid filename chars will cause CJK filename broken.

Additional InformationIn CamuleApp::StripInvalidFilenameChars(), should allow strText[i] < 0, or convert to unsigned char to avoid this problem.
like:

if ( strText[i] > 31 || strText[i] < 0) {
                                                result += strText[i];
                                }
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filesdiff file icon amule.diff [^] (534 bytes) 2004-07-20 13:12 [Show Content]

- Relationships

-  Notes
(0000166)
Xaignar (manager)
2004-07-20 14:52

Hum. Thanks for the report, this also be causing other problems, I'll have to check.
(0000169)
Xaignar (manager)
2004-07-21 17:45

This should be fixed now on CVS. Please test the patch in this thread and report back: http://forum.amule.org/thread.php?threadid=3004 [^]
(0000181)
Xaignar (manager)
2004-07-30 23:40

Assuming that the issue is fixed, since there was no futher replies.

- Issue History
Date Modified Username Field Change
2004-07-20 13:09 twu2 New Issue
2004-07-20 13:12 twu2 File Added: amule.diff
2004-07-20 14:52 Xaignar Note Added: 0000166
2004-07-21 17:45 Xaignar Note Added: 0000169
2004-07-30 23:40 Xaignar Status new => resolved
2004-07-30 23:40 Xaignar Resolution open => fixed
2004-07-30 23:40 Xaignar Assigned To => Xaignar
2004-07-30 23:40 Xaignar Note Added: 0000181


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker